From 92bba1ecd9b27251273d932b2d1cf3893385fb4b Mon Sep 17 00:00:00 2001
From: Robert Loehning <robert.loehning@qt.io>
Date: Wed, 21 Oct 2020 18:39:15 +0200
Subject: [PATCH 168/262] Fuzzing: Provide link to oss-fuzz

Change-Id: Iac77faac8bd901504073b1aacd067a42e349eca3
Reviewed-by: Leena Miettinen <riitta-leena.miettinen@qt.io>
Reviewed-by: Edward Welbourne <edward.welbourne@qt.io>
(cherry picked from commit 379799b10de6203be3eb382aa2a66d443e75534c)
Reviewed-by: Qt Cherry-pick Bot <cherrypick_bot@qt-project.org>
---
 tests/libfuzzer/README | 14 +++++++++++++-
 1 file changed, 13 insertions(+), 1 deletion(-)

diff --git a/tests/libfuzzer/README b/tests/libfuzzer/README
index 16e70e9bee..d0ab4fdda8 100644
--- a/tests/libfuzzer/README
+++ b/tests/libfuzzer/README
@@ -39,4 +39,16 @@ To run a test with libFuzzer:
     * tell libFuzzer to generate only ASCII data using
        -only_ascii=1
 
-For further info, see https://llvm.org/docs/LibFuzzer.html
+For further info about libFuzzer, see https://llvm.org/docs/LibFuzzer.html
+
+Some of these tests are continuously being run on oss-fuzz which is documented at
+https://google.github.io/oss-fuzz/
+
+You can find:
+ - The build logs for Qt at
+   https://oss-fuzz-build-logs.storage.googleapis.com/index.html#qt
+ - The code coverage of the running fuzzers at
+   https://storage.googleapis.com/oss-fuzz-coverage/qt/reports/20201104/linux/report.html
+   Update the date in the URL to get more recent data.
+ - The found issues which were already published at:
+   https://bugs.chromium.org/p/oss-fuzz/issues/list?q=proj%3Dqt
-- 
2.33.0

